Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Functions
console.c File Reference
`#include "ruby.h"`
`#include "ruby/io.h"`
`#include "ruby/thread.h"`

Go to the source code of this file.

## Data Structures
struct | rawmode_arg_t
struct | ttymode_callback_args
struct | query_args

## Macros
#define | SET_LAST_ERROR (0)
#define | GetReadFD(fptr) ((fptr)->fd)
#define | GetWriteFD(fptr) get_write_fd(fptr)
#define | FD_PER_IO 2
#define | console_check_winsize_changed rb_f_notimplement
#define | console_key_pressed_p rb_f_notimplement
#define | CONSOLE_DEVICE_FOR_READING CONSOLE_DEVICE

## Functions
void | Init_console (void)
void | InitVM_console (void)

## Macro Definition Documentation

## ◆ console_check_winsize_changed

#define console_check_winsize_changed rb_f_notimplement

Definition at line 863 of file console.c.

## ◆ CONSOLE_DEVICE_FOR_READING

#define CONSOLE_DEVICE_FOR_READING CONSOLE_DEVICE

## ◆ console_key_pressed_p

#define console_key_pressed_p rb_f_notimplement

Definition at line 1338 of file console.c.

## ◆ FD_PER_IO

#define FD_PER_IO 2

Definition at line 273 of file console.c.

## ◆ GetReadFD

#define GetReadFD | ( |  | fptr | ) | ((fptr)->fd)

Definition at line 260 of file console.c.

## ◆ GetWriteFD

#define GetWriteFD | ( |  | fptr | ) | get_write_fd(fptr)

Definition at line 271 of file console.c.

## ◆ SET_LAST_ERROR

#define SET_LAST_ERROR (0)

Definition at line 75 of file console.c.

## Function Documentation

## ◆ Init_console()

void Init_console | ( | void |  | ) |

Definition at line 1579 of file console.c.

## ◆ InitVM_console()

void InitVM_console | ( | void |  | ) |

Definition at line 1598 of file console.c.

References rb_cIO, and rb_define_method().